<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <View
        android:layout_width="0dp"
        android:layout_height="@dimen/wheel_item_height"
        android:background="@drawable/common_date_picker_highlight_bg"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.adealink.weparty.commonui.widget.wheel.Wheel3DView
        android:id="@+id/wheel_day"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/wheel_month"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:wheelItemHeight="@dimen/wheel_item_height"
        app:wheelItemWidth="100dp" />

    <com.adealink.weparty.commonui.widget.wheel.Wheel3DView
        android:id="@+id/wheel_month"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/wheel_year"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintStart_toEndOf="@id/wheel_day"
        app:layout_constraintTop_toTopOf="parent"
        app:wheelItemHeight="@dimen/wheel_item_height"
        app:wheelItemWidth="100dp" />

    <com.adealink.weparty.commonui.widget.wheel.Wheel3DView
        android:id="@+id/wheel_year"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_weight="1"
        app:layout_constraintStart_toEndOf="@id/wheel_month"
        app:layout_constraintTop_toTopOf="parent"
        app:wheelItemHeight="@dimen/wheel_item_height"
        app:wheelItemWidth="100dp" />

    <!--    <com.adealink.weparty.commonui.widget.wheel.Wheel3DView-->
    <!--        android:id="@+id/wheel_hour"-->
    <!--        android:layout_width="0dp"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:visibility="gone"-->
    <!--        app:layout_constraintBottom_toBottomOf="parent"-->
    <!--        app:layout_constraintEnd_toStartOf="@+id/wheel_minute"-->
    <!--        app:layout_constraintHorizontal_weight="1"-->
    <!--        app:layout_constraintStart_toEndOf="@id/wheel_year"-->
    <!--        app:layout_constraintTop_toTopOf="parent"-->
    <!--        app:wheelItemHeight="40dp"-->
    <!--        app:wheelItemWidth="70dp" />-->

    <!--    <com.adealink.weparty.commonui.widget.wheel.Wheel3DView-->
    <!--        android:id="@+id/wheel_minute"-->
    <!--        android:layout_width="0dp"-->
    <!--        android:layout_height="wrap_content"-->
    <!--        android:visibility="gone"-->
    <!--        app:layout_constraintBottom_toBottomOf="parent"-->
    <!--        app:layout_constraintEnd_toEndOf="parent"-->
    <!--        app:layout_constraintHorizontal_chainStyle="packed"-->
    <!--        app:layout_constraintHorizontal_weight="1"-->
    <!--        app:layout_constraintTop_toTopOf="parent"-->
    <!--        app:wheelItemHeight="40dp"-->
    <!--        app:wheelItemWidth="70dp" />-->

</androidx.constraintlayout.widget.ConstraintLayout>